From e1bdc4e6e857f9c355068500e2e50217c3fb8b8c Mon Sep 17 00:00:00 2001
From: Pino Toscano <pino@debian.org>
Date: Thu, 10 Oct 2019 07:38:50 +0200
Subject: [PATCH] Restore KPropertyDoubleSpinBox::resizeEvent() override

Removing it drops a symbol from the vtable, causing an ABI change
compared to 3.1.0. Since commit 95f521ff5588afa8cd74a902d61b344b972373d1
wants to drop the extra job done by the override, leave it as simple
passthrough.
---
 src/editors/spinbox.cpp | 5 +++++
 src/editors/spinbox.h   | 3 +++
 2 files changed, 8 insertions(+)

diff --git a/src/editors/spinbox.cpp b/src/editors/spinbox.cpp
index 791bca7..1d06fa2 100644
--- a/src/editors/spinbox.cpp
+++ b/src/editors/spinbox.cpp
@@ -307,6 +307,11 @@ KPropertyDoubleSpinBox::~KPropertyDoubleSpinBox()
     delete d;
 }
 
+void KPropertyDoubleSpinBox::resizeEvent( QResizeEvent * event )
+{
+    QDoubleSpinBox::resizeEvent(event);
+}
+
 void KPropertyDoubleSpinBox::setValue(const QVariant& value)
 {
     QVariant minVal;
diff --git a/src/editors/spinbox.h b/src/editors/spinbox.h
index 8ad3e4a..2ec8bd2 100644
--- a/src/editors/spinbox.h
+++ b/src/editors/spinbox.h
@@ -77,6 +77,9 @@ protected Q_SLOTS:
     void slotValueChanged(double value);
 
 protected:
+    // keep this until the next ABI break
+    void resizeEvent( QResizeEvent * event ) override;
+
     Q_DISABLE_COPY(KPropertyDoubleSpinBox)
     class Private;
     Private * const d;
-- 
2.23.0

